#include "ExitBlocker.h"
#include "WorldManager.h"

ExitBlocker::ExitBlocker(void)
{
	//WorldManager::getInstance().addEvent("openExit");
	//WorldManager::getInstance().registerInterest(this,"openExit");
}


ExitBlocker::~ExitBlocker(void)
{
}

int ExitBlocker::eventHandler(Event *e){
	if (e->getType() == "step") {
		//step();
		draw();
		return 1;
	}
	if(e->getType()=="openExit"){
		WorldManager::getInstance().markForDelete(this);
	}
	return 0;
}
